from django.contrib.auth.models import User, Group
from rest_framework import viewsets
from .serializers import UserSerializer, GroupSerializer
from rest_framework.views import APIView
from .permission import HasAPIKey, HAsKeyPermissionn
from rest_framework.permissions import IsAuthenticated
from .models import APIKey
from rest_framework.decorators import api_view, permission_classes



class UserViewSet(viewsets.ModelViewSet):
    """
    API endpoint that allows users to be viewed or edited.
    """
    queryset = User.objects.all().order_by('-date_joined')
    serializer_class = UserSerializer
    keys = APIKey.objects.all()
    for i in keys:
        print()
    permission_classes = [HasAPIKey | IsAuthenticated | HAsKeyPermissionn]


class GroupViewSet(viewsets.ModelViewSet):
    """
    API endpoint that allows groups to be viewed or edited.
    """
    queryset = Group.objects.all()
    serializer_class = GroupSerializer
    permission_classes = [HasAPIKey | IsAuthenticated]